com.holonplatform.core.internal

## Class DefaultParameterSet.AbstractBuilder<S extends ParameterSet,I extends DefaultParameterSet,B extends ParameterSet.Builder<S>>

- java.lang.Object
- - com.holonplatform.core.internal.DefaultParameterSet.AbstractBuilder<S,I,B>

- All Implemented Interfaces:
    ParameterSet.Builder<S>
  Direct Known Subclasses:
    DefaultParameterSet.DefaultBuilder
  Enclosing class:
    DefaultParameterSet

      public abstract static class DefaultParameterSet.AbstractBuilder<S extends ParameterSet,I extends DefaultParameterSet,B extends ParameterSet.Builder<S>>
      extends Object
      implements ParameterSet.Builder<S>

  Abstract ParameterSet builder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBuilder(I instance)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ParameterSet.Builder<S>` | `withParameter(ConfigProperty<T> property, T value)` Add a parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
    `ParameterSet.Builder<S>` | `withParameter(String name, Object value)` Add a parameter.
    `ParameterSet.Builder<S>` | `withParameters(Map<String,Object> parameters)` Add all given parameters to the set.
    `ParameterSet.Builder<S>` | `withParameters(ParameterSet parameters)` Add all parameters of the given `parameters` set.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.ParameterSet.Builder

      `build, parameter, parameter, parameters, parameters`

- - ### Constructor Detail

    - #### AbstractBuilder

          public AbstractBuilder(I instance)

      Constructor
      Parameters:
        `instance` - Instance to build

  - ### Method Detail

    - #### withParameter

          public ParameterSet.Builder<S> withParameter(String name,
                                                       Object value)

      Description copied from interface: `ParameterSet.Builder`
      Add a parameter.
      Specified by:
        `withParameter` in interface `ParameterSet.Builder<S extends ParameterSet>`
      Parameters:
        `name` - Parameter name
        `value` - Parameter value
      Returns:
        this

    - #### withParameter

          public <T> ParameterSet.Builder<S> withParameter(ConfigProperty<T> property,
                                                           T value)

      Description copied from interface: `ParameterSet.Builder`
      Add a parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
      Specified by:
        `withParameter` in interface `ParameterSet.Builder<S extends ParameterSet>`
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - ConfigProperty (not null) to obtain parameter name
        `value` - Parameter value
      Returns:
        this

    - #### withParameters

          public ParameterSet.Builder<S> withParameters(Map<String,Object> parameters)

      Description copied from interface: `ParameterSet.Builder`
      Add all given parameters to the set.
      Specified by:
        `withParameters` in interface `ParameterSet.Builder<S extends ParameterSet>`
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### withParameters

          public ParameterSet.Builder<S> withParameters(ParameterSet parameters)

      Description copied from interface: `ParameterSet.Builder`
      Add all parameters of the given `parameters` set.
      Specified by:
        `withParameters` in interface `ParameterSet.Builder<S extends ParameterSet>`
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.